updating gutenprint in Katya x64 <SOLVED>

Forum rules
Before you post please read this

updating gutenprint in Katya x64 <SOLVED>

Postby dhdurgee on Tue Jan 22, 2013 2:32 pm

I am still running Katya x64 on my laptop, as there are some issues with Maya and gvfs that I am waiting to get worked out before I upgrade it. I recently purchased a Canon PIXMA MG2120, mostly to use as a scanner. Unfortunately the gutenprint 5.2.6 in Katya does not recognize it. Checking further it appears that I need to upgrade to 5.2.8 to have it supported. Unfortunately I don't see an easy way to accomplish this. I did locate a PPA with 5.2.8 available, but it is configured for oneiric not natty. I have sent a message to the owner in hopes of natty support being added, but have no response as yet.

Do I have any other options to upgrade gutenprint on Katya?

Dave
Last edited by dhdurgee on Wed Jan 23, 2013 3:54 pm, edited 1 time in total.
dhdurgee
Level 4
Level 4
 
Posts: 215
Joined: Thu Jul 02, 2009 7:56 pm

Linux Mint is funded by ads and donations.
 

Re: updating gutenprint in Katya x64

Postby xenopeek on Tue Jan 22, 2013 4:31 pm

You could try adding the PPA manually. If made for oneiric it may work fine on natty; that depends on what library versions and such it needs, and if those were already available in natty. Other than that, you can also download a newer version from the packages you need from the Ubuntu repository through its web portal: http://packages.ubuntu.com/. I'm not sure which packages you exactly need (a "dpkg -l | grep gutenprint" on your current installation will probably give a good list to start with), and it would seem you would need to search for these packages in the precise release. oneiric show 5.2.7.

If you need more help with that; provide link to PPA or list of the packages currently installed for gutenprint.
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14891
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: updating gutenprint in Katya x64

Postby dhdurgee on Tue Jan 22, 2013 5:05 pm

xenopeek wrote:You could try adding the PPA manually. If made for oneiric it may work fine on natty; that depends on what library versions and such it needs, and if those were already available in natty. Other than that, you can also download a newer version from the packages you need from the Ubuntu repository through its web portal: http://packages.ubuntu.com/. I'm not sure which packages you exactly need (a "dpkg -l | grep gutenprint" on your current installation will probably give a good list to start with), and it would seem you would need to search for these packages in the precise release. oneiric show 5.2.7.

If you need more help with that; provide link to PPA or list of the packages currently installed for gutenprint.


I did find a report of someone who did add the PPA and override the settings to have it retrieve the oneiric binaries as opposed to looking for natty ones, but I am concerned about that "may work" above and wondering about impact on other printers as well. I am still hoping to hear from the owner of the PPA, so I will wait a little longer before taking further action.

Would it be possible for me to install the printer on my Maya system and then grab a copy of the PPD for my Katya system, or would the installer reject it as being for a later version? If there is a chance this will work, where are the PPDs stored?

Dave
dhdurgee
Level 4
Level 4
 
Posts: 215
Joined: Thu Jul 02, 2009 7:56 pm

Re: updating gutenprint in Katya x64

Postby xenopeek on Tue Jan 22, 2013 5:36 pm

dhdurgee wrote:Would it be possible for me to install the printer on my Maya system and then grab a copy of the PPD for my Katya system, or would the installer reject it as being for a later version? If there is a chance this will work, where are the PPDs stored?

I don't know about that; perhaps somebody else will.

I doubt the developer will update the PPA for an obsoleted release of Ubuntu that has already reached end of life, but perhaps you will be lucky :wink:
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14891
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: updating gutenprint in Katya x64

Postby dhdurgee on Wed Jan 23, 2013 2:03 pm

I decided to try hooking the Canon PIXMA MG2120 to my Maya system and confirm that it would install correctly. It did so, so I copied the MG2100-series.ppd from the /etc/cups/ppd directory over to my Katya system and offered it to the installer when I plugged the unit into that system. It was accepted, so it appears that the ppd is backwards compatible with gutenprint 5.2.6 as far as install is concerned.

I guess I should mark this issue as solved, as given the printer is now recognized I no longer need an upgrade to gutenprint.

Dave
dhdurgee
Level 4
Level 4
 
Posts: 215
Joined: Thu Jul 02, 2009 7:56 pm

Re: updating gutenprint in Katya x64

Postby xenopeek on Wed Jan 23, 2013 2:35 pm

Awesome :D To mark a topic solved, click the edit button on your first post in your topic and add the word <SOLVED> to the subject.
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14891
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Canon scanner driver for MG2100 series

Postby pdc_2 on Wed Jan 23, 2013 3:58 pm

Hi dhdurgee;

.....if you are still following the thread you started ...........

...... you say ...........

I recently purchased a Canon PIXMA MG2120, mostly to use as a scanner.


I noticed you wanted to use gutenprint as the printer driver:

Canon supply printer drivers for many of their printers: and supply scanner drivers; they supply what they call the 2100 series for your MFD: they package them as .deb and .rpm and supply them as 32bit and 64bit as well as supply source files;

so for the scanner software: go here;

http://support-asia.canon-asia.com/cont ... 92902.html

and you can download the scangearmp-mg2100series-1.80-1-deb.tar.gz

if you extract the package to your desktop, you can install with the install script they supply: please post back if help needed;

to run it, type

scangearmp


in a terminal; for a first look; thereafter you can create a launcher; again post back if guidance needed;

you may wish to evaluate the Canon printer driver as well; you could install it and use either or:

the printer driver comes from here as a debian package

http://support-asia.canon-asia.com/cont ... 92602.html

and comes down as cnijfilter-mg2100series-3.60-1-deb.tar.gz

I think a useful thing about it is Canon supply a GUI to tweak various settings:

if having installed the driver you type

cngpij P MG2100


you get an interface: example supplied as attachment: again, one can set up as launcher
Attachments
cngpij.png
cngpij.png (42.77 KiB) Viewed 483 times
pdc_2
Level 6
Level 6
 
Posts: 1143
Joined: Mon May 11, 2009 1:21 am

Linux Mint is funded by ads and donations.
 

Return to Printers & Scanners

Who is online

Users browsing this forum: No registered users and 3 guests